Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.controls
Class JetNumber

    java.lang.Object
      jet.controls.JetProperty
          jet.controls.JetNumber

Direct Known Subclasses:
  JetUnitNumber

    public class JetNumber

extends JetProperty

A class for the Jet number property.

Field Summary

Fields inherited from class jet.controls.JetProperty
`CHART_BACKGROUND_EDITOR, CHART_FILLPATTERN_EDITOR, CHART_FILTER_EDITOR, CHART_FILTER_EDITOR_NO_DATE, CHART_ICON_STYLE, CHART_PATTERN_LIST_EDITOR, CHART_PENSTYLE_EDITOR, CHART_TEXTSTYLE_EDITOR, CHOICE_EDITOR, COLOR_EDITOR, COMBO_EDITOR, COMMAND_EDITOR, CONTROL_SELECT_ITEMS, DATASOURCE_EDITOR, DBCOL_EDITOR, DETAIL_REPORT_EDITOR, EDIT_FORBIDDEN, EDIT_FORBIDDEN_INIT, EDITABLE_ALLTIME, INTERNAL, LINK_EDITOR, MULSEL_EDITOR, PARAMCOL_EDITOR, QUERY_EDITOR, RECORDDB_EDITOR, SECURITY_EDITOR, TEXT_EDITOR`

Constructor Summary
`JetNumber()`
`JetNumber(JetObject parent, java.lang.String name)` Creates a JetNumber object.
`JetNumber(JetObject parent, java.lang.String name, int defval)` Creates a JetNumber object.

Method Summary
`boolean` | `addToAtomicAction(java.lang.String newValue)`
`double` | `doubleValue()` Returns the value of this number as a double.
`float` | `floatValue()` Returns the value of this number as a float.
`int` | `get()` Returns the int value of this number.
`int` | `getInt()`
`int[]` | `getMatchingSqlType()` Get Matching SQL Type of this property
`java.util.Vector` | `getPropertyChoice()`
`int` | `intValue()` Returns the value of this number as an int.
`long` | `longValue()` Returns the value of this number as a long.
`void` | `set(double value)` Sets the property value with the specified value; notifies its comprising object.
`void` | `set(float value)` Sets the property value with the specified value; notifies its comprising object.
`void` | `set(int value)` Sets the property value with the specified value; notifies its comprising object.
`void` | `set(long value)` Sets the property value with the specified value; notifies its comprising object.
`void` | `set(java.lang.String theval)` Sets the value to this property through a String.
`void` | `setInt(int i)`
`void` | `setPropertyChoice(java.util.Vector propertyChoice)`
`void` | `setValue(int value)` Sets the property value with the specified value; does not notify its comprising object.
`java.lang.String` | `toString()` Returns a String object representing this number's value.

Methods inherited from class jet.controls.JetProperty
`canChangeByBL, canChangeByFmtt, canChangeByOthers, getChangeBy, getChangeByBL, getChangeByBLName, getChangeByFmtt, getChangeByFmttName, getChangeByObject, getChangeByObjectName, getEditFlag, getEditorType, getInspValue, getInspValue, getName, getNormalObject, getObject, getParent, getPropType, getUnifiedObject, getValue, isChagneByFmtt, isChangeByBL, isChangeByOther, isNull, isTransient, loadFullChangeBy, propertyChanged, saveFullChangeBy, setCanChangeByBL, setCanChangeByFmtt, setCanChangeByOthers, setChangeByBL, setChangeByFmtt, setChangeByObject, setEditFlag, setEditorType, setObject, setTransient, setUnitValue, toUnitString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JetNumber

    public JetNumber()

### JetNumber

    public JetNumber(JetObject parent,
                     java.lang.String name)

  Creates a JetNumber object.

  Parameters:
    `parent` - object that created this object, that is, its comprising object.

    `name` - property's name.

### JetNumber

    public JetNumber(JetObject parent,
                     java.lang.String name,
                     int defval)

  Creates a JetNumber object.

  Parameters:
    `parent` - comprising object.

    `name` - property's name.

    `defval` - default value for this property.

Method Detail

### set

    public void set(int value)

  Sets the property value with the specified value; notifies its comprising object.

  Parameters:
    `value` - value for this number.

  See Also:
    `set(int)`, `get()`

### set

    public void set(long value)

  Sets the property value with the specified value; notifies its comprising object.

  Parameters:
    `value` - value for this number.

  See Also:
    `set(int)`, `get()`

### set

    public void set(float value)

  Sets the property value with the specified value; notifies its comprising object.

  Parameters:
    `value` - value for this number.

  See Also:
    `set(int)`, `get()`

### set

    public void set(double value)

  Sets the property value with the specified value; notifies its comprising object.

  Parameters:
    `value` - value for this number.

  See Also:
    `set(int)`, `get()`

### set

    public void set(java.lang.String theval)

  Sets the value to this property through a String.

  Overrides:
    `set` in class `JetProperty`
  Parameters:
    `theval` - String value.

### intValue

    public int intValue()

  Returns the value of this number as an int.

### longValue

    public long longValue()

  Returns the value of this number as a long.

### floatValue

    public float floatValue()

  Returns the value of this number as a float.

### doubleValue

    public double doubleValue()

  Returns the value of this number as a double.

### toString

    public java.lang.String toString()

  Returns a String object representing this number's value.

  Overrides:
    `toString` in class `java.lang.Object`

### get

    public int get()

  Returns the int value of this number.

  See Also:
    `set(int)`

### setValue

    public void setValue(int value)

  Sets the property value with the specified value; does not notify its comprising object.

  Parameters:
    `value` - value for this number.

  See Also:
    `set(int)`, `get()`

### getInt

    public int getInt()

### setInt

    public void setInt(int i)

### addToAtomicAction

    public boolean addToAtomicAction(java.lang.String newValue)

### getMatchingSqlType

    public int[] getMatchingSqlType()

  Description copied from class: `JetProperty`
  Get Matching SQL Type of this property

  Overrides:
    `getMatchingSqlType` in class `JetProperty`
  Returns:
    SQL_OTHER means can not changed by other object.

### getPropertyChoice

    public java.util.Vector getPropertyChoice()

  Overrides:
    `getPropertyChoice` in class `JetProperty`

### setPropertyChoice

    public void setPropertyChoice(java.util.Vector propertyChoice)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD